#pragma GCC optimize("Ofast")
#include<bits/stdc++.h>
using namespace std;
struct __INIT{__INIT(){cin.tie(0);ios::sync_with_stdio(false);cout<<fixed<<setprecision(15);}} __init;
#define max3(a,b,c) max(a,max(b,c))
#define min3(a,b,c) min(a,min(b,c))
#define MOD 1000000007
#define INF (1<<30)
#define LINF (lint)(1LL<<56)
#define endl "\n"
#define rep(i,n) for(int (i)=0;(i)<(n);(i)++)
#define reprev(i,n) for(int (i)=(n-1);(i)>=0;(i)--)
#define Flag(x) (1<<(x))
#define Flagcount(x) __builtin_popcount(x)
#define pint pair<int,int>
#define pdouble pair<double,double>
#define plint pair<lint,lint>
typedef long long lint;
int dx[8]={1,1,0,-1,-1,-1,0,1};
int dy[8]={0,1,1,1,0,-1,-1,-1};
lint calc(lint x){
    lint keta=(lint)(1+floor(log10(x)));
    lint top=x/(lint)(pow(10,keta-1));
    lint res=0;
    lint ketac=2;
    lint botom=x%10;
    if(top==botom){
        res+=3;
        while(ketac<keta) res+=(lint)pow(10,ketac-2)*2,ketac++;
        lint rem=(x-top*(lint)pow(10,keta-1)-botom)/5;
        if(keta>=3) res+=rem;
    }
    if(top>botom) while(ketac<=keta) res+=(lint)pow(10,ketac-2)*2,ketac++;
    if(top<botom) while(ketac<keta) res+=(lint)pow(10,ketac-2)*2,ketac++;
    return res;
}
int main(void){
    lint N;
    cin >> N;
    lint dp[220000]={};
    for(int i=1;i<=9;i++) dp[i]=i;
    for(int i=10;i<=N;i++){
        if(i%10==0) dp[i]=dp[i-1];
        else dp[i]=dp[i-1]+calc(i);
    }
    cout << dp[N] << endl;
}